View Issue Details

IDProjectCategoryView StatusLast Update
0022635mantisbttime trackingpublic2017-04-30 14:48
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.2 
Target Version2.4.0Fixed in Version2.4.0 
Summary0022635: Empty notes with time tracking show as empty notes for users that can't view time tracking
Description

The note is valid since it has time tracking information, but for users who don't have access to view time tracking information, the note is visible but it is completely empty.

Such notes should be hidden.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 1ed44a96

2017-03-31 22:31:14

vboctor

Details Diff
Don’t show completely empty notes

For time tracking notes with no text, if user doesn’t have access
to time tracking information, then an empty note was displayed.
This fix hides the note in such case.

Fixes 0022635
mod - core/bugnote_api.php Diff File

Issue History

Date Modified Username Field Change
2017-03-31 22:24 vboctor New Issue
2017-03-31 22:32 vboctor Assigned To => vboctor
2017-03-31 22:32 vboctor Status new => assigned
2017-03-31 22:32 vboctor Note Added: 0056307
2017-04-22 04:26 vboctor Changeset attached => MantisBT master 1ed44a96
2017-04-22 04:26 vboctor Status assigned => resolved
2017-04-22 04:26 vboctor Resolution open => fixed
2017-04-22 04:26 vboctor Fixed in Version => 2.4.0
2017-04-22 04:26 vboctor Target Version => 2.4.0
2017-04-30 14:48 vboctor Status resolved => closed